Issue 121120 - AOO doesn't support RightB(), LeftB(),LenB() and MidB() in formula
AOO doesn't support RightB(), LeftB(),LenB() and MidB() in formula
Status: CLOSED FIXED
Product: Calc
Classification: Application
Component: code
4.0.0-dev
All All
: P3 major (vote)
: 4.0.0
Assigned To: AOO issues mailing list
:
Depends on:
Blocks: 121372 121359
  Show dependency treegraph
 
Reported: 2012-09-27 03:06 UTC by Zhang Lu
Modified: 2012-11-22 02:55 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Add patch (15.57 KB, patch)
2012-09-27 03:10 UTC, Zhang Lu
no flags Details | Diff
Add patch (17.71 KB, patch)
2012-10-09 09:43 UTC, Zhang Lu
zhanglu.aoo: review?
Details | Diff
xls file containing the formulas (13.50 KB, application/vnd.ms-excel)
2012-11-22 02:55 UTC, louqle
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Zhang Lu 2012-09-27 03:06:29 UTC
When load a xls file that contains these formulas, AOO displayed the formula as =#NAME in the formula bar.
Comment 1 Zhang Lu 2012-09-27 03:07:09 UTC
I'm working on this feature
Comment 2 Zhang Lu 2012-09-27 03:10:02 UTC
Created attachment 79650 [details]
Add patch

Add 4 functions in spreadsheet formula. To check whether a char is DBCS with ICU
Comment 3 Zhang Lu 2012-10-09 09:43:27 UTC
Created attachment 79752 [details]
Add patch
Comment 4 SVN Robot 2012-10-10 07:08:37 UTC
"leiw" committed SVN revision 1396491 into trunk:
#i121120 AOO doesn't support RightB(), LeftB(),LenB() and MidB() in formula \n\n
Comment 5 Wang Lei 2012-10-10 07:12:12 UTC
The patch looks good, submit it in revision 1396491
Comment 6 louqle 2012-11-22 02:54:12 UTC
verified in build 1409708 on Win7, suse 11 sp1 and Mac 10.7, open the sample .xls file in Aoo, the formulas work well
Comment 7 louqle 2012-11-22 02:55:11 UTC
Created attachment 79936 [details]
xls file containing the formulas